org.apache.solr.handler.dataimport

## Class TikaEntityProcessor

- java.lang.Object
- - org.apache.solr.handler.dataimport.EntityProcessor
  - - org.apache.solr.handler.dataimport.EntityProcessorBase
    - - org.apache.solr.handler.dataimport.TikaEntityProcessor

-     public class TikaEntityProcessor
      extends EntityProcessorBase

  An implementation of `EntityProcessor` which reads data from rich docs using Apache Tika

  To index latitude/longitude data that might be extracted from a file's metadata, identify the geo field for this information with this attribute: `spatialMetadataField`

  Since:
    solr 3.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.handler.dataimport.EntityProcessorBase

      `ABORT, cacheSupport, context, CONTINUE, entityName, isFirstInit, ON_ERROR, onError, query, rowIterator, SKIP, TRANSFORM_ROW, TRANSFORMER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TikaEntityProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `firstInit(Context context)`
    `void` | `init(Context context)`
    `Map<String,Object>` | `nextRow()`

    - ### Methods inherited from class org.apache.solr.handler.dataimport.EntityProcessorBase

      `destroy, getNext, initCache, nextDeletedRowKey, nextModifiedParentRowKey, nextModifiedRowKey`

    - ### Methods inherited from class org.apache.solr.handler.dataimport.EntityProcessor

      `close, postTransform`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TikaEntityProcessor

          public TikaEntityProcessor()

  - ### Method Detail

    - #### init

          public void init(Context context)

      Overrides:
        `init` in class `EntityProcessorBase`

    - #### firstInit

          protected void firstInit(Context context)

      Overrides:
        `firstInit` in class `EntityProcessorBase`

    - #### nextRow

          public Map<String,Object> nextRow()

      Overrides:
        `nextRow` in class `EntityProcessorBase`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.